Tool: ListResourceBackupConfigs
Retrieves backup configuration summaries and protection status for resources with in the specified project and location. CRITICAL: Location is mandatory and must be sent in the request. Location must not be '-' or 'global'. Do NOT attempt to use other tools (like ListBackupVaults,ListBackupPlans,ListBackupPlanAssociations) to discover active locations. You MUST explicitly ask the user for the location and project before calling this tool.
The following sample demonstrate how to use curl to invoke the ListResourceBackupConfigs MCP tool.
| Curl Request |
|---|
curl --location 'https://backupdr.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "ListResourceBackupConfigs", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request for ListResourceBackupConfigs.
ListResourceBackupConfigsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } |
| Fields | |
|---|---|
parent |
Required. The project and location for which to retrieve resource backup configs. Format: 'projects/{project_id}/locations/{location}'. In Google Cloud Backup and DR, locations map to Google Cloud regions, for example us-central1. |
pageSize |
Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will use 100 as default. Maximum value is 500 and values above 500 will be coerced to 500. |
pageToken |
Optional. A token identifying a page of results the server should return. |
filter |
Optional. Filtering results. |
orderBy |
Optional. Hint for how to order the results. |
Output Schema
Response for ListResourceBackupConfigs.
ListResourceBackupConfigsResponse
| JSON representation |
|---|
{
"resourceBackupConfigs": [
{
object ( |
| Fields | |
|---|---|
resourceBackupConfigs[] |
The list of ResourceBackupConfigs for the specified scope. |
nextPageToken |
A token identifying a page of results the server should return. |
ResourceBackupConfig
| JSON representation |
|---|
{ "name": string, "uid": string, "targetResource": string, "targetResourceDisplayName": string, "targetResourceType": enum ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the ResourceBackupConfig. Format: projects/{project}/locations/{location}/resourceBackupConfigs/{uid} |
uid |
Output only. The unique identifier of the resource backup config. |
targetResource |
Output only. The full resource name of the cloud resource that this configuration applies to. Supported resource types are |
targetResourceDisplayName |
Output only. The human friendly name of the target resource. |
targetResourceType |
Output only. The type of the target resource. |
targetResourceLabels |
Labels associated with the target resource. An object containing a list of |
backupConfigsDetails[] |
Backup configurations applying to the target resource, including those targeting its related/child resources. For example, backup configuration applicable to Compute Engine disks will be populated in this field for a Compute Engine VM which has the disk associated. |
backupConfigured |
Output only. Whether the target resource is configured for backup. This is true if the backup_configs_details is not empty. |
vaulted |
Output only. Whether the target resource is protected by a backup vault. This is true if the backup_configs_details is not empty and any of the |
TargetResourceLabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
BackupConfigDetails
| JSON representation |
|---|
{ "backupConfigSource": string, "backupConfigSourceDisplayName": string, "type": enum ( |
| Fields | |
|---|---|
backupConfigSource |
Output only. The full resource name of the backup config source resource. For example, "//backupdr.googleapis.com/v1/projects/{project}/locations/{region}/backupPlans/{backupplanId}" or "//compute.googleapis.com/projects/{project}/locations/{region}/resourcePolicies/{resourcePolicyId}". |
backupConfigSourceDisplayName |
Output only. The display name of the backup config source resource. |
type |
Output only. The type of the backup config resource. |
state |
Output only. The state of the backup config resource. |
pitrSettings |
Output only. Point in time recovery settings of the backup configuration resource. |
latestSuccessfulBackupTime |
Output only. Timestamp of the latest successful backup created via this backup configuration. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
applicableResource |
Output only. The full resource name of the resource that is applicable for the backup configuration. Example: "//compute.googleapis.com/projects/{project}/zones/{zone}/instances/{instance}" |
backupVault |
Output only. The full resource name of the backup vault that will store the backups generated through this backup configuration. Example: "//backupdr.googleapis.com/v1/projects/{project}/locations/{region}/backupVaults/{backupvaultId}" |
backupLocations[] |
The locations where the backups are to be stored. |
Union field plan_specific_config. The plan specific config. This depends on the value of BackupConfigDetails.type. For type=BACKUPDR_BACKUP_PLAN, backup_dr_plan_config would be populated to capture information related to Google Cloud Backup and DR's Backup Plans. For type=BACKUPDR_TEMPLATE, backup_dr_template_config would be populated to capture information related to Google Cloud Backup and DR's Template details. plan_specific_config can be only one of the following: |
|
backupDrPlanConfig |
Google Cloud Backup and DR's Backup Plan specific data. |
backupDrTemplateConfig |
Google Cloud Backup and DR's Template specific data. |
PitrSettings
| JSON representation |
|---|
{ "retentionDays": integer } |
| Fields | |
|---|---|
retentionDays |
Output only. Number of days to retain the backup. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
BackupLocation
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Output only. The type of the location. |
locationId |
Output only. The id of the cloud location. Example: "us-central1" |
BackupDrPlanConfig
| JSON representation |
|---|
{
"backupDrPlanRules": [
{
object ( |
| Fields | |
|---|---|
backupDrPlanRules[] |
Backup rules of the backup plan resource. |
BackupDrPlanRule
| JSON representation |
|---|
{ "ruleId": string, "lastSuccessfulBackupTime": string } |
| Fields | |
|---|---|
ruleId |
Output only. Unique Id of the backup rule. |
lastSuccessfulBackupTime |
Output only. Timestamp of the latest successful backup created via this backup rule. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
BackupDrTemplateConfig
| JSON representation |
|---|
{ "firstPartyManagementUri": string, "thirdPartyManagementUri": string } |
| Fields | |
|---|---|
firstPartyManagementUri |
Output only. The URI of the BackupDr template resource for the first party identity users. |
thirdPartyManagementUri |
Output only. The URI of the BackupDr template resource for the third party identity users. |
ResourceType
The type of the cloud resource.
| Enums | |
|---|---|
RESOURCE_TYPE_UNSPECIFIED |
Resource type not set. |
CLOUD_SQL_INSTANCE |
Cloud SQL instance. |
COMPUTE_ENGINE_VM |
Compute Engine VM. |
COMPUTE_ENGINE_DISK |
Compute Engine Disk. |
COMPUTE_ENGINE_REGIONAL_DISK |
Compute Engine Regional Disk. |
FILESTORE_INSTANCE |
Filestore Instance. |
Type
Type of the backup configuration. This enum may receive new values in the future.
| Enums | |
|---|---|
TYPE_UNSPECIFIED |
Backup config type is unspecified. |
CLOUD_SQL_INSTANCE_BACKUP_CONFIG |
Backup config is Cloud SQL instance's automated backup config. |
COMPUTE_ENGINE_RESOURCE_POLICY |
Backup config is Compute Engine Resource Policy. |
BACKUPDR_BACKUP_PLAN |
Backup config is Google Cloud Backup and DR's Backup Plan. |
BACKUPDR_TEMPLATE |
Backup config is Google Cloud Backup and DR's Template. |
State
The state tells whether the backup config is active or not.
| Enums | |
|---|---|
STATE_UNSPECIFIED |
Backup config state not set. |
ACTIVE |
The config is in an active state protecting the resource |
INACTIVE |
The config is currently not protecting the resource. Either because it is disabled or the owning project has been deleted without cleanup of the actual resource. |
ERROR |
The config still exists but because of some error state it is not protecting the resource. Like the source project is deleted. For eg. PlanAssociation, BackupPlan is deleted. |
Type
The type of the location.
| Enums | |
|---|---|
TYPE_UNSPECIFIED |
Location type is unspecified. |
ZONAL |
Location type is zonal. |
REGIONAL |
Location type is regional. |
MULTI_REGIONAL |
Location type is multi regional. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌